Page 4 of 4 FirstFirst ... 2 3 4
Results 31 to 40 of 40

Thread: eclipse setup, tricks, etc

  1. #31
    Senior Member Theraze's Avatar
    Join Date
    Mar 2010
    Posts
    8,735

    Default

    Also, since this still tells users to manually choose the SVN 1.7 edition even though mafia has, in the past year, moved to using the SVN 1.8 edition, the directions should probably be updated to actually match up...

  2. #32
    Senior Member
    Join Date
    Apr 2009
    Posts
    1,749

    Default

    That shouldn't be relevant anyway?
    Version of *subclipse* only affects the local repository of kolmafia itself. It should have absolutely no relation to local repositories of scripts (managed by kolmafia), whose version depends on the used svnkit.

    (it's relevant for choosing an external client, of course)

  3. #33
    Developer fronobulax's Avatar
    Join Date
    Feb 2009
    Location
    D.C. suburbs of Virginia, USA
    Posts
    3,799

    Default

    That shouldn't be relevant anyway?
    Version of *subclipse* only affects the local repository of kolmafia itself. It should have absolutely no relation to local repositories of scripts (managed by kolmafia), whose version depends on the used svnkit.

    (it's relevant for choosing an external client, of course)
    Originally Posted by xKiv View Post
    Agreed. But I have found my life is a little easier if all of the SVN repositories on my system can be accessed with the same tool and I think 1.7 is the highest common denominator.
    You just vehemently agreed with me
    Originally Posted by Veracity View Post
    I agree with frono.
    Originally Posted by Veracity View Post
    There are 69 players more powerful than you.
    Originally Posted by Statistics Leaderboards

  4. #34
    Senior Member Theraze's Avatar
    Join Date
    Mar 2010
    Posts
    8,735

    Default

    Not sure. I'm using SVN 1.8 for everything without any problems currently, but... *shrugs* I don't commit to mafia base, though I update from it.

  5. #35
    Developer
    Join Date
    Aug 2009
    Posts
    2,700

    Default

    I use git-svn 2.7.0 with svn 1.9.3 and compile with Ant 1.9.6 and OpenJDK 1.8.0_72-b15, and everything works out-of-the-box from the command-line.

    I also have an Eclipse install (Mars.1 Release, 4.5.1), although I don't really use that for much beyond debugging.

  6. #36
    Senior Member
    Join Date
    Apr 2009
    Posts
    1,749

    Default

    Agreed. But I have found my life is a little easier if all of the SVN repositories on my system can be accessed with the same tool and I think 1.7 is the highest common denominator.
    Originally Posted by fronobulax View Post
    I think jsvn from latest svnkit was that common denominator for me (unlike the official client, it can work with any workcopy version, without demanding to upgrade it)

  7. #37
    Junior Member Chamou's Avatar
    Join Date
    May 2014
    Posts
    14

    Default

    Okay, well, I found a different version of subclipse from the one in the tutorial that would actually install, but now I'm walled trying to actually import kolmafia into Eclipse. This is the same error I got the first time I was trying to make my dev environment, after creating the svn repository but before I could actually add it to my workbench:


  8. #38
    Senior Member Theraze's Avatar
    Join Date
    Mar 2010
    Posts
    8,735

    Default

    Sounds like you have a partial checkout of mafia that's stuck. Running svn cleanup would probably fix that.

  9. #39
    Senior Member
    Join Date
    Apr 2009
    Posts
    1,749

    Default

    Or a partially installed wrong version of subclipse .... that would be a real "joy" ...

  10. #40
    Junior Member Chamou's Avatar
    Join Date
    May 2014
    Posts
    14

    Default

    Okay, three weeks later, I got un-mad at this and tried it again. Turned out the error I had was pretty simple; I had subclipse, but not *subversion*, the actual SVN client, installed for Eclipse. I guess that isn't something that it just comes with >_>

    Anyway, I have a kolmafia workspace now, thanks for all the help.

Similar Threads

  1. New Content - Implemented Manuel got some new tricks.
    By Erich in forum Bug Reports
    Replies: 38
    Last Post: 05-07-2013, 09:34 AM
  2. KoLmafia code formatting rules file for Eclipse request
    By wrldwzrd89 in forum Community Support
    Replies: 1
    Last Post: 09-14-2012, 07:17 PM
  3. 9102: Ignore Eclipse project-specific settings
    By RSS Bot in forum Latest SVN Changes
    Replies: 0
    Last Post: 02-24-2011, 09:02 AM
  4. Mood Setup?
    By tyilo in forum Scripting Discussion
    Replies: 5
    Last Post: 02-27-2008, 07:38 PM
  5. eclipse
    By bollwyvl in forum Scripting Discussion
    Replies: 4
    Last Post: 04-21-2006, 05:54 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •